Bug 1732603 - Remove 'katello-backup' as it is no longer used in 6.4 and later [NEEDINFO]
Summary: Remove 'katello-backup' as it is no longer used in 6.4 and later
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite-doc-list
QA Contact: satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 20:52 UTC by Mike McCune
Modified: 2019-10-10 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-10 15:38:59 UTC
Target Upstream Version:
mcorr: needinfo? (mmccune)


Attachments (Terms of Use)

Description Mike McCune 2019-07-23 20:52:12 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/upgrading_and_updating_red_hat_satellite/cloning_satellite_server#sec-Cloning_Prerequisites

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/upgrading_and_updating_red_hat_satellite/cloning_satellite_server#sec-Cloning_Prerequisites

Section Number and Name: 2.2. Prerequisites and 2.3 Pulp Data Considerations

Describe the issue: 

Please update this section:

"""
A backup from Satellite versions 6.1, 6.2, or 6.3 that you make using the katello-backup script. You can use a backup with or without Pulp data. 
"""

to:

"""
A backup from Satellite versions 6.4 or later that you make using "foreman-maintain backup" script. You can use a backup with or without Pulp data. 
"""

Also, katello-backup is referenced lower:

"""
 katello-backup --skip-pulp-content /var/backup --assumeyes
"""

should be replaced with:


"""
 foreman-maintain backup online -y --skip-pulp-content  /var/backup/
"""


as well as:

"""
 katello-backup /var/backup --assumeyes
"""

to:

"""
 foreman-maintain backup offline -y /var/backup/
"""

Comment 1 Mike McCune 2019-07-23 21:00:47 UTC
looks like this is 6.4 only. 6.5 docs do not refer to katello-backup

Comment 2 Melanie Corr 2019-07-24 07:40:35 UTC
Hi Mike, 

The 6.4 guide is for customers upgrading from 6.3 - wouldn't there be a chance that this scenario still affects them?

Comment 3 Melanie Corr 2019-10-10 15:38:59 UTC
I think that any references to katello-backup are in the context of a 6.3 Satellite environment that is upgrading to 6.4. The 6.5 upgrade does not have these references. 
I think this correct, so I am closing this as NOTABUG. Please feel free to reopen if I am wrong.


Note You need to log in before you can comment on or make changes to this bug.